{% extends "base.html" %}
{% load static %}

{% block content %}

<head>
    <title> Employees </title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>


    <style type="text/css">
   table {
    font-size: 110%;

   }
   th {
    text-align: left;
    background: #53d6bb;
    padding: 5px;
    border: 1px solid black;
    }
    td {
    padding: 4px;
    border: 1px solid black;
   }
  </style>
</head>
<body>

        <script type="text/javascript">

        function searchdept()
        {
            var input, table, tr, td, filter, i, txtres;
            input=document.getElementById("search_d");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
                for(i=0;i<tr.length;i++)
                {
                    td=tr[i].getElementsByTagName("td")[1];
                    if(td)
                    {
                        txtres=td.innerText;
                        if(txtres.toUpperCase().indexOf(filter)>-1)
                        {
                            tr[i].style.display="";
                        }
                        else
                        {
                            tr[i].style.display="none";
                        }
                    }
                }

        }
        </script>

         <script type="text/javascript">
        function searchman()
        {
            var input, table, tr, td, filter, i, txtres;
            input=document.getElementById("search_m");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
                for(i=0;i<tr.length;i++)
                {
                    td=tr[i].getElementsByTagName("td")[2];
                    if(td)
                    {
                        txtres=td.innerText;
                        if(txtres.toUpperCase().indexOf(filter)>-1)
                        {
                            tr[i].style.display="";
                        }
                        else
                        {
                            tr[i].style.display="none";
                        }
                    }
                }

        }
        </script>
         <script type="text/javascript">
        function searchbm()
        {
            var input, table, tr, td, filter, i, txtres;
            input=document.getElementById("search_bm");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
                for(i=0;i<tr.length;i++)
                {
                    td=tr[i].getElementsByTagName("td")[3];
                    if(td)
                    {
                        txtres=td.innerText;
                        if(txtres.toUpperCase().indexOf(filter)>-1)
                        {
                            tr[i].style.display="";
                        }
                        else
                        {
                            tr[i].style.display="none";
                        }
                    }
                }

        }
        </script>

<center>
    <h2>Filter Options</h2>
        <script type="text/javascript">

        function searchname()
        {
            var input,table,tr,td,filter,i,txtdata;
            input=document.getElementById("name");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
            for(i=0;i<tr.length;i++)
            {
                td=tr[i].getElementsByTagName("td")[0];
                if(td)
                {
                    txtdata=td.innerText;
                    if(txtdata.toUpperCase().indexOf(filter)>-1)
                    {
                        tr[i].style.display="";
                    }
                    else
                    {
                        tr[i].style.display="none";
                    }
                }
            }
        }
    </script>

       <script type="text/javascript">

        function searchsalary()
        {
            var input,table,tr,td,filter,i,txtdata;
            input=document.getElementById("salary");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
            for(i=0;i<tr.length;i++)
            {
                td=tr[i].getElementsByTagName("td")[4];
                if(td)
                {
                    txtdata=td.innerText;
                    if(txtdata.toUpperCase().indexOf(filter)>-1)
                    {
                        tr[i].style.display="";
                    }
                    else
                    {
                        tr[i].style.display="none";
                    }
                }
            }
        }
    </script>

       <script type="text/javascript">

        function searchmail()
        {
            var input,table,tr,td,filter,i,txtdata;
            input=document.getElementById("mail");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
            for(i=0;i<tr.length;i++)
            {
                td=tr[i].getElementsByTagName("td")[6];
                if(td)
                {
                    txtdata=td.innerText;
                    if(txtdata.toUpperCase().indexOf(filter)>-1)
                    {
                        tr[i].style.display="";
                    }
                    else
                    {
                        tr[i].style.display="none";
                    }
                }
            }
        }
    </script>


       <script type="text/javascript">

        function searchphone()
        {
            var input,table,tr,td,filter,i,txtdata;
            input=document.getElementById("phone");
            filter=input.value.toUpperCase();
            table=document.getElementById("t_e");
            tr=table.getElementsByTagName("tr");
            for(i=0;i<tr.length;i++)
            {
                td=tr[i].getElementsByTagName("td")[7];
                if(td)
                {
                    txtdata=td.innerText;
                    if(txtdata.toUpperCase().indexOf(filter)>-1)
                    {
                        tr[i].style.display="";
                    }
                    else
                    {
                        tr[i].style.display="none";
                    }
                }
            }
        }
    </script>




    <hr/>
    <br>
        <label for="name">Name:</label>
        <input type="text" id="name" onkeyup="searchname();"/>

        <label for="search_d">Department:</label>



            <select id="search_d" onchange="searchdept();" >
            <option  selected>----Search----</option>
            <option value="Housing rental & purchase">Housing rental & purchase</option>
            <option value="Office rental & purchase">Office rental & purchase</option>
            <option value="Land rental & purchase">Land rental & purchase</option>
            <option value="Property maintenance">Property maintenance</option>
            <option value="Appraisal">Appraisal</option>
            <option value="Legal">Legal</option>
            <option value="Human Resources">Human Resources</option>
            <option value="IT">IT</option>
            <option value="Marketing">Marketing</option>
            <option value="Accounting">Accounting</option>
            <option value="Planning&Analysis">Planning&Analysis</option>
        </select>

        <label for="search_m">Manager:</label>
            <select id="search_m" onchange="searchman();" >
            <option  selected>----Search----</option>
            <option value="Cynthia Manning">Cynthia Manning</option>
            <option value="Craig Moore">Craig Moore</option>
            <option value="Astra Holloway">Astra Holloway</option>
            <option value="Hedley Curtis">Hedley Curtis</option>
            <option value="Leon Mancey">Leon Mancey</option>
            <option value="Portia Mueller">Portia Mueller</option>
            <option value="Hilda Holloway">Hilda Holloway</option>
            <option value="Harding Bryant">Harding Bryant</option>
            <option value="Sharon Bray">Sharon Bray</option>
            <option value="Alea Conway">Alea Conway</option>
            <option value="Malika Bousaid">Malika Bousaid</option>
        </select>


                <label for="search_bm">Board Member:</label>
            <select id="search_bm" onchange="searchbm();" >
            <option  selected>----Search----</option>
            <option value="Christine Aguirre">Christine Aguirre</option>
            <option value="Eric Walters">Eric Walters</option>
            <option value="Casey Jimenez">Casey Jimenez</option>

        </select>
    <br>
    <br>
    <label for="salary">Salary:</label>
    <input type="text" id="salary" onkeyup="searchsalary();"/>


    <label for="mail">E-mail:</label>
    <input type="text" id="mail" onkeyup="searchmail();"/>

    <label for="phone">Phone Number:</label>
    <input type="text" id="phone" onkeyup="searchphone();"/>
  <hr/>



</center>

    <center>
        <h1 class="top">Employees list</h1>
        <table class="table" border="1" id="t_e">

            <tr class="headers">
                <th class="headings" id="e_name"> Name</th>
                <th> Department</th>
                <th> Manager</th>
                <th> Board Member</th>
                <th> Salary</th>
                <th> Birth date</th>
                <th> E-mail</th>
                <th> Phone number</th>
            </tr>
            {% for data in Employee%}
            <tr>
            <td class="data">
                {{data.1}}
            </td>
            <td>
                {{data.4}}
            </td>
            <td>
                {{data.9}}
            </td>
            <td>
                {{data.3}}
            </td>
            <td>
                {{data.5}}
            </td>
            <td>
                {{data.8}}
            </td>
            <td>
                {{data.6}}
            </td>
            <td>
                {{data.7}}
            </td>
            {% endfor %}

            </tr>
        </table>
    </center>

</body>

{% endblock content%}
